# $Progeny$

PROJECT_NAME=		discover

# Only include structures defined in headers.
EXTRACT_LOCAL_CLASSES=	NO

# We don't need the headers pointlessly duplicated.
VERBATIM_HEADERS=	NO

# Yeah baby yeah!
OPTIMIZE_OUTPUT_FOR_C=	YES

# warnings
QUIET=			YES
WARNINGS=		YES
WARN_IF_UNDOCUMENTED=	YES
WARN_LOGFILE=

# input
EXCLUDE=		../lib/curl.c ../lib/utils.c
FILE_PATTERNS=		*.c
INPUT=			../lib ../sysdeps/stub \
			../include/discover/discover.h \
			../include/discover/discover-conf.h \
			../include/discover/discover-xml.h \
			../include/discover/sysdep.h

# output
OUTPUT_DIRECTORY=	api-reference
OUTPUT_LANGUAGE=	English

GENERATE_HTML=		YES

# Directory under ${OUTPUT_DIRECTORY} where output HTML files are placed.
HTML_OUTPUT=		html

GENERATE_MAN=		YES

# Directory under ${OUTPUT_DIRECTORY} where output man pages are placed.
MAN_OUTPUT=		man

MAN_EXTENSION=		.3
MAN_LINKS=		YES

SOURCE_BROWSER=		YES
REFERENCED_BY_RELATION=	YES
REFERENCES_RELATION=	YES
